Support » Plugin: Ad Inserter - WordPress Ads Management » Problem with AMP pages

  • Resolved razasdeperros

    (@razasdeperros)


    Hello,

    I have updated to the latest version of the plugin, but it was a mistake. Now google detects me errors in my AMP pages because of the Ad Inserter pluguin, attached capture.

    https://fotos.subefotos.com/ecc05f3f167262816abd7395b9b172b3o.jpg

    Google detects Ad Inserter as a serious error. This hurts me.

    Is there any way to prevent Ad Inserter from acting on the AMP pages? Can I solve this problem?

    Thank you

    The page I need help with: [log in to see the link]

Viewing 11 replies - 1 through 11 (of 11 total)
  • Plugin Author Igor

    (@spacetime)

    It seems you are using wrapping div around ads.

    Set Alignment and Style to No Wrapping:

    https://adinserter.pro/settings#amp

    Hi
    Even I am getting the same error and I am not using the plugin for AMP ads but still getting the error on AMP pages.

    Please do help as Google is showing a lots of AMP URL with errors. I am using the plugin since last 1 year but never got this kind of error. This started afte the recent update and it is happening on all 3 website.

    Here is a link to the settings I am using for the ads: https://www.technewsinc.com/wp-content/uploads/2017/08/AMP.png

    This started only after the recent update. Exact same error I am getting as given by “razasdeperros”

    Plugin Author Igor

    (@spacetime)

    @razasdeperros

    After detailed examination of the error it seems this has nothing to do with Ad Inserter.

    The error message says that you have used javascript code for normal page:
    https://support.google.com/adsense/answer/7183212?hl=en

    Please use the right code for AdSense ads and follow instructions on how to insert ads on AMP pages
    https://adinserter.pro/settings#amp

    @badrealam

    You haven’t posted any error message or page address so I can’t check:
    https://wordpress.org/support/topic/please-read-how-to-ask-for-help-2/

    Please use the right code for AdSense ads and follow instructions on how to insert ads on AMP pages:
    https://adinserter.pro/settings#amp

    Please check the source code of this page: https://www.technewsinc.com/chinese-fireball-malware-infects-250-million-computers/

    Find: <!– Start Of Post Ad–><!– AD Inserted By Ad Inserter 2.1.14 –>
    Below that the AD block code start. Everything is fine here on this page. The plugin is working perfectly.

    But as soon as we move to the amp pages, check it our here same page: https://www.technewsinc.com/chinese-fireball-malware-infects-250-million-computers/amp/
    Find: <!– Start Of Post Ad–><!– AD Inserted By Ad Inserter 2.1.14 –>
    Below that the <script> tag is there but not the AD block code as it is not activated for AMP pages or Mobile.

    Now check the same in Google AMP validator here: https://search.google.com/test/amp?id=zidZf1hrjufNQBuQ2Q-PTA

    When you click on the error you can see: Line 500:0 <script><![CDATA[
    On click of that you can find the same code here too. The commented text is also there “<!– Start Of Post Ad–><!– AD Inserted By Ad Inserter 2.1.14 –>”
    Here is a screenshot of the same: https://www.technewsinc.com/wp-content/uploads/2017/08/AMP-Detailed.png

    Now here is a link (https://www.hindi.viralindia.news/) to one of my other website, which is having all most all of the stuff the above website has, but I have deactivated the Ad Insert plugin for now just for test.

    Please take any page from this website check the actual URL and /AMP url of the same and try to find <!– Start Of Post Ad–><!– AD Inserted By Ad Inserter 2.1.14 –>
    It will be not there as I have deactivated the plugin.
    Please even try to test it with Google AMP Validator you will not find any error, on any page of the 2nd website as the plugin is not active and no ads are displayed on the main/actual website on any pages.
    A text link here: https://search.google.com/test/amp?id=ARZpCAiBRfa9WvQShkENFg

    Please, I have tested it many times and by deactivating all most all of the plugins and only Ad Insert plugin active is causing the problem.

    • This reply was modified 4 months, 1 week ago by  Alam Khan.
    • This reply was modified 4 months, 1 week ago by  Alam Khan.
    Plugin Author Igor

    (@spacetime)

    You are inserting wrong AdSense code on AMP pages.
    Ad Inserter simply inserts your code according to the settings.

    Please follow instructions:
    1. For AdSense: https://support.google.com/adsense/answer/7183212?hl=en
    2. For Ad Inserter: https://adinserter.pro/settings#amp

    I’m also running into the exact same issues as described above. I’ve followed the instructions provided.

    I think maybe the problem is trying to insert our normal ad units (that contain <script>) onto our AMP pages not 100% sure. Anybody got a fix? This is really annoying currently, so many errors.

    I thought that blacklisting */amp/ on my other ad unit codes might work, but I still get the same error.

    Plugin Author Igor

    (@spacetime)

    I think maybe the problem is trying to insert our normal ad units (that contain <script>) onto our AMP pages not 100% sure.

    Exactly!

    AdSense needs a different ad code for AMP pages:
    https://support.google.com/adsense/answer/7183212?hl=en

    This is how normal AdSense code looks like:

    <script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
    <ins class="adsbygoogle"
         style="display:block"
         data-ad-client="ca-pub-1234567891234567"
         data-ad-slot="1234567890"
         data-ad-format="auto"></ins>
    <script>
    (adsbygoogle = window.adsbygoogle || []).push({});
    </script>

    This is how AMP version of AdSense code looks like:

    <amp-ad
    layout="fixed-height"
    height=100
    type="adsense"
    data-ad-client="ca-pub-1234567891234567"
    data-ad-slot="1234567890">
    </amp-ad>

    Only the two IDs are the same:

         data-ad-client="ca-pub-1234567891234567"
          data-ad-slot="1234567890"

    Now you need to insert right code according to the page type.

    Ad Inserter provides many ways for this. If your pages end with /amp/ then using url list is the easiest way.

    So for one ad position you need to use two code blocks, one for normal pages and another for AMP pages.

    For normal pages you black-list url */amp/
    For AMP pages you white-list url */amp/

    Of course, assuming pages end with /amp/. Otherwise you need to adjust the codes.

    For AMP pages you also need to insert additional script in <head> section of the page. Go to tab * / tab Header and put this code there and ENABLE header code (button top right left of button PHP).

    For details please check https://adinserter.pro/settings#amp

    If you still have issues please enable remote debugging, post page address and I’ll try to help.

    @spacetime
    Thanks a ton. After black-list of */amp/ url my problem is resolved and all error is gone. After clearing all cache I tested multiple pages and none of them had the error. I activated the plugin on other website too and did the same to it and tested, so far so good. Started working fine.

    Thanks Again 🙂

    Hello,

    Thanks for help, now all is ok 🙂

    Remember that Google may take several days to update the errors.

    Use */amp/ and all is ok.

    Photo / Capture:
    https://fotos.subefotos.com/fa4ab4c66ba0b501daacd18cfd46bcaeo.jpg

    Thanks

    Odd, was still showing an error yesterday but double checked again and now it’s working fine.

Viewing 11 replies - 1 through 11 (of 11 total)
  • You must be logged in to reply to this topic.